namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Combobox::expanded_get() const
{
   Eina_Bool __return_value =  ::elm_obj_combobox_expanded_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Combobox::hover_begin() const
{
    ::elm_obj_combobox_hover_begin(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Combobox::hover_end() const
{
    ::elm_obj_combobox_hover_end(this->_eo_ptr());
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<bool>::type Combobox::expanded_get() const
{
   Eina_Bool __return_value =  ::elm_obj_combobox_expanded_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Combobox::hover_begin() const
{
    ::elm_obj_combobox_hover_begin(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Combobox::hover_end() const
{
    ::elm_obj_combobox_hover_end(this->_eo_ptr());
}
inline elm::Combobox::operator ::elm::Combobox() const { return *static_cast< ::elm::Combobox const*>(static_cast<void const*>(this)); }
inline elm::Combobox::operator ::elm::Combobox&() { return *static_cast< ::elm::Combobox*>(static_cast<void*>(this)); }
inline elm::Combobox::operator ::elm::Combobox const&() const { return *static_cast< ::elm::Combobox const*>(static_cast<void const*>(this)); }
} }

